Package org.drinkless.tdlib

# Class TdApi.LaunchPrepaidGiveaway

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.LaunchPrepaidGiveaway

Enclosing class:
  `TdApi`

public static class TdApi.LaunchPrepaidGiveaway extends TdApi.Function<TdApi.Ok>
Launches a prepaid giveaway.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `giveawayId`
  Unique identifier of the prepaid giveaway.
  `TdApi.GiveawayParameters`
  `parameters`
  Giveaway parameters.
  `long`
  `starCount`
  The number of Telegram Stars to be distributed through the giveaway; pass 0 for Telegram Premium giveaways.
  `int`
  `winnerCount`
  The number of users to receive giveaway prize.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LaunchPrepaidGiveaway()`
  Default constructor for a function, which launches a prepaid giveaway.
  `LaunchPrepaidGiveaway(long giveawayId, TdApi.GiveawayParameters parameters, int winnerCount, long starCount)`
  Creates a function, which launches a prepaid giveaway.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### giveawayId

    public long giveawayId
    Unique identifier of the prepaid giveaway.

  - ### parameters

    public TdApi.GiveawayParameters parameters
    Giveaway parameters.

  - ### winnerCount

    public int winnerCount
    The number of users to receive giveaway prize.

  - ### starCount

    public long starCount
    The number of Telegram Stars to be distributed through the giveaway; pass 0 for Telegram Premium giveaways.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LaunchPrepaidGiveaway

    public LaunchPrepaidGiveaway()
    Default constructor for a function, which launches a prepaid giveaway.

    Returns `Ok`

  - ### LaunchPrepaidGiveaway

    public LaunchPrepaidGiveaway(long giveawayId, TdApi.GiveawayParameters parameters, int winnerCount, long starCount)
    Creates a function, which launches a prepaid giveaway.

    Returns `Ok`

    Parameters:
      `giveawayId` - Unique identifier of the prepaid giveaway.
      `parameters` - Giveaway parameters.
      `winnerCount` - The number of users to receive giveaway prize.
      `starCount` - The number of Telegram Stars to be distributed through the giveaway; pass 0 for Telegram Premium giveaways.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR